diff --git a/.travis.yml b/.travis.yml
index 14241fa5..1e05f601 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,4 +1,4 @@
-# Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+# Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
 
 # request for Ubuntu 14.04 Trusty VM
 sudo: true
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 6d1457cf..ea7f2d72 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,6 +1,6 @@
 # Main CMake file for compiling the library itself, examples and tests.
 #
-# Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+# Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
 #
 # Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
 # or copy at http://opensource.org/licenses/MIT)
diff --git a/LICENSE.txt b/LICENSE.txt
index 6448851c..24d8ae42 100644
--- a/LICENSE.txt
+++ b/LICENSE.txt
@@ -1,6 +1,6 @@
 The MIT License (MIT)
 
-Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
 
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
diff --git a/README.md b/README.md
index 5d5d80c8..a74e8fff 100644
--- a/README.md
+++ b/README.md
@@ -20,7 +20,7 @@ with a few intuitive and well documented C++ classes.
 
 ### License:
 
-Copyright (c) 2012-2018 Sébastien Rombauts (sebastien.rombauts@gmail.com)
+Copyright (c) 2012-2019 Sébastien Rombauts (sebastien.rombauts@gmail.com)
 <a href="https://www.paypal.me/SRombauts" title="Pay Me a Beer! Donate with PayPal :)"><img src="https://www.paypalobjects.com/webstatic/paypalme/images/pp_logo_small.png" width="118"></a>
 
 Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
@@ -66,14 +66,14 @@ and then is always valid until destroyed.
 
 Developements and tests are done under the following OSs:
 - Ubuntu 14.04 (Travis CI)
-- Windows XP/10
+- Windows 10, and Windows Server 2012 R2 & Windows Server 2016 (AppVeyor)
 - OS X 10.11 (Travis CI)
 
 And the following IDEs/Compilers
 - GCC 4.8.4, 4.9.3, 5.3.0 and 6.1.1 (C++03, C++11, C++14, C++1z)
 - Clang 3.5 and 3.8
 - Xcode 8
-- Visual Studio Community 2015
+- Visual Studio Community 2017, and VS 2013 & 2015 (AppVeyor)
 - Eclipse CDT under Linux
 
 ### Dependencies
diff --git a/appveyor.yml b/appveyor.yml
index 7ac6b31b..d834ae46 100644
--- a/appveyor.yml
+++ b/appveyor.yml
@@ -1,4 +1,4 @@
-# Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+# Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
 
 # build format
 version: "{build}"
@@ -13,7 +13,6 @@ image:
   - Visual Studio 2013
   
 # configurations to add to build matrix
-# TODO: VS2010->VS2015 and Win32/Win64 (see https://github.com/google/googletest/blob/master/appveyor.yml)
 # TODO: MinGW Makefiles and MSYS Makefiles
 configuration:
   - Debug
diff --git a/build.bat b/build.bat
index 8c2a1781..159db375 100644
--- a/build.bat
+++ b/build.bat
@@ -1,4 +1,4 @@
-@REM Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+@REM Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
 @REM
 @REM Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
 @REM or copy at http://opensource.org/licenses/MIT)
diff --git a/build.sh b/build.sh
index 5800ddb7..dacfb094 100755
--- a/build.sh
+++ b/build.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-# Copyright (c) 2012-2018 Sébastien Rombauts (sebastien.rombauts@gmail.com)
+# Copyright (c) 2012-2019 Sébastien Rombauts (sebastien.rombauts@gmail.com)
 #
 # Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
 # or copy at http://opensource.org/licenses/MIT)
diff --git a/examples/example1/main.cpp b/examples/example1/main.cpp
index bce11fde..c6e7abfb 100644
--- a/examples/example1/main.cpp
+++ b/examples/example1/main.cpp
@@ -4,7 +4,7 @@
  *
  *  Demonstrates how-to use the SQLite++ wrapper
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/Assertion.h b/include/SQLiteCpp/Assertion.h
index a9f47e8c..de6bf7fa 100644
--- a/include/SQLiteCpp/Assertion.h
+++ b/include/SQLiteCpp/Assertion.h
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   Definition of the SQLITECPP_ASSERT() macro.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/Backup.h b/include/SQLiteCpp/Backup.h
index 3925bafa..bfc3b1c4 100644
--- a/include/SQLiteCpp/Backup.h
+++ b/include/SQLiteCpp/Backup.h
@@ -4,7 +4,7 @@
  * @brief   Backup is used to backup a database file in a safe and online way.
  *
  * Copyright (c) 2015 Shibao HONG (shibaohong@outlook.com)
- * Copyright (c) 2015-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2015-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/Column.h b/include/SQLiteCpp/Column.h
index 7ad401b2..c39abf16 100644
--- a/include/SQLiteCpp/Column.h
+++ b/include/SQLiteCpp/Column.h
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   Encapsulation of a Column in a row of the result pointed by the prepared SQLite::Statement.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/Database.h b/include/SQLiteCpp/Database.h
index f0e9d75d..c471e9bc 100644
--- a/include/SQLiteCpp/Database.h
+++ b/include/SQLiteCpp/Database.h
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   Management of a SQLite Database Connection.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/Exception.h b/include/SQLiteCpp/Exception.h
index 07029441..ea96e1ee 100644
--- a/include/SQLiteCpp/Exception.h
+++ b/include/SQLiteCpp/Exception.h
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   Encapsulation of the error message from SQLite3 on a std::runtime_error.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/SQLiteCpp.h b/include/SQLiteCpp/SQLiteCpp.h
index 53b3fa2e..28837a24 100644
--- a/include/SQLiteCpp/SQLiteCpp.h
+++ b/include/SQLiteCpp/SQLiteCpp.h
@@ -5,7 +5,7 @@
  *
  * Include this main header file in your project to gain access to all functionality provided by the wrapper.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/Statement.h b/include/SQLiteCpp/Statement.h
index e3e651dd..bfb4efcd 100644
--- a/include/SQLiteCpp/Statement.h
+++ b/include/SQLiteCpp/Statement.h
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   A prepared SQLite Statement is a compiled SQL query ready to be executed, pointing to a row of result.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/Transaction.h b/include/SQLiteCpp/Transaction.h
index 192bc496..0fbf9cf3 100644
--- a/include/SQLiteCpp/Transaction.h
+++ b/include/SQLiteCpp/Transaction.h
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   A Transaction is way to group multiple SQL statements into an atomic secured operation.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/Utils.h b/include/SQLiteCpp/Utils.h
index 9d7c83dd..7fc97af1 100644
--- a/include/SQLiteCpp/Utils.h
+++ b/include/SQLiteCpp/Utils.h
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   Shared utility macros and functions.
  *
- * Copyright (c) 2013-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2013-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/include/SQLiteCpp/VariadicBind.h b/include/SQLiteCpp/VariadicBind.h
index d9072d59..24e5e5f4 100644
--- a/include/SQLiteCpp/VariadicBind.h
+++ b/include/SQLiteCpp/VariadicBind.h
@@ -4,7 +4,7 @@
  * @brief   Convenience function for Statement::bind(...)
  *
  * Copyright (c) 2016 Paul Dreik (github@pauldreik.se)
- * Copyright (c) 2016-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2016-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/src/Backup.cpp b/src/Backup.cpp
index 6cbe3b6d..495b6b0a 100644
--- a/src/Backup.cpp
+++ b/src/Backup.cpp
@@ -4,7 +4,7 @@
  * @brief   Backup is used to backup a database file in a safe and online way.
  *
  * Copyright (c) 2015 Shibao HONG (shibaohong@outlook.com)
- * Copyright (c) 2015-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2015-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/src/Column.cpp b/src/Column.cpp
index 92ea568b..d5943225 100644
--- a/src/Column.cpp
+++ b/src/Column.cpp
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   Encapsulation of a Column in a row of the result pointed by the prepared SQLite::Statement.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/src/Database.cpp b/src/Database.cpp
index 0356adf7..3b741693 100644
--- a/src/Database.cpp
+++ b/src/Database.cpp
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   Management of a SQLite Database Connection.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/src/Exception.cpp b/src/Exception.cpp
index 5d96ad92..9da13695 100644
--- a/src/Exception.cpp
+++ b/src/Exception.cpp
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   Encapsulation of the error message from SQLite3 on a std::runtime_error.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/src/Statement.cpp b/src/Statement.cpp
index 5118ca92..bcf5d956 100644
--- a/src/Statement.cpp
+++ b/src/Statement.cpp
@@ -3,7 +3,7 @@
  * @ingroup SQLiteCpp
  * @brief   A prepared SQLite Statement is a compiled SQL query ready to be executed, pointing to a row of result.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/tests/Backup_test.cpp b/tests/Backup_test.cpp
index eab5043d..344c4975 100644
--- a/tests/Backup_test.cpp
+++ b/tests/Backup_test.cpp
@@ -4,7 +4,7 @@
  * @brief   Test of a SQLite Backup.
  *
  * Copyright (c) 2015 Shibao HONG (shibaohong@outlook.com)
- * Copyright (c) 2015-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2015-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/tests/Column_test.cpp b/tests/Column_test.cpp
index abc3ad27..f1815a84 100644
--- a/tests/Column_test.cpp
+++ b/tests/Column_test.cpp
@@ -3,7 +3,7 @@
  * @ingroup tests
  * @brief   Test of a SQLiteCpp Column.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/tests/Database_test.cpp b/tests/Database_test.cpp
index b6799802..d767f0fc 100644
--- a/tests/Database_test.cpp
+++ b/tests/Database_test.cpp
@@ -3,7 +3,7 @@
  * @ingroup tests
  * @brief   Test of a SQLiteCpp Database.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/tests/Exception_test.cpp b/tests/Exception_test.cpp
index 807cba84..b367c8be 100644
--- a/tests/Exception_test.cpp
+++ b/tests/Exception_test.cpp
@@ -3,7 +3,7 @@
  * @ingroup tests
  * @brief   Test of a SQLite Transaction.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/tests/Statement_test.cpp b/tests/Statement_test.cpp
index 2f9e8e61..e4c9f04f 100644
--- a/tests/Statement_test.cpp
+++ b/tests/Statement_test.cpp
@@ -3,7 +3,7 @@
  * @ingroup tests
  * @brief   Test of a SQLiteCpp Statement.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/tests/Transaction_test.cpp b/tests/Transaction_test.cpp
index 369bf4a3..d037021c 100644
--- a/tests/Transaction_test.cpp
+++ b/tests/Transaction_test.cpp
@@ -3,7 +3,7 @@
  * @ingroup tests
  * @brief   Test of a SQLite Transaction.
  *
- * Copyright (c) 2012-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2012-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
diff --git a/tests/VariadicBind_test.cpp b/tests/VariadicBind_test.cpp
index 81863b3c..70a83c87 100644
--- a/tests/VariadicBind_test.cpp
+++ b/tests/VariadicBind_test.cpp
@@ -4,7 +4,7 @@
  * @brief   Test of variadic bind
  *
  * Copyright (c) 2016 Paul Dreik (github@pauldreik.se)
- * Copyright (c) 2016-2018 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+ * Copyright (c) 2016-2019 Sebastien Rombauts (sebastien.rombauts@gmail.com)
  *
  * Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
  * or copy at http://opensource.org/licenses/MIT)
